scala.reflect.api.Internals.InternalApi.DecoratorApi

# SymbolDecoratorApi

#### class SymbolDecoratorApi[T <: Universe.Symbol] extends AnyRef

Source
  Internals.scala
See also

  SymbolDecorator

Linear Supertypes
AnyRef, Any
Known Subclasses
MacroSymbolDecoratorApi
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SymbolDecoratorApi
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new SymbolDecoratorApi(symbol: T)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from SymbolDecoratorApi[T] to any2stringadd[SymbolDecoratorApi[T]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (SymbolDecoratorApi[T], B)

   Implicit information
     This member is added by an implicit conversion from SymbolDecoratorApi[T] to ArrowAssoc[SymbolDecoratorApi[T]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def asFreeTerm: Universe.FreeTermSymbol

   See also

     internal.asFreeTerm

7. #### def asFreeType: Universe.FreeTypeSymbol

   See also

     internal.asFreeType

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def deSkolemize: Universe.Symbol

    See also

      internal.deSkolemize

11. #### def ensuring(cond: (SymbolDecoratorApi[T]) ⇒ Boolean, msg: ⇒ Any): SymbolDecoratorApi[T]

    Implicit information
      This member is added by an implicit conversion from SymbolDecoratorApi[T] to Ensuring[SymbolDecoratorApi[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (SymbolDecoratorApi[T]) ⇒ Boolean): SymbolDecoratorApi[T]

    Implicit information
      This member is added by an implicit conversion from SymbolDecoratorApi[T] to Ensuring[SymbolDecoratorApi[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): SymbolDecoratorApi[T]

    Implicit information
      This member is added by an implicit conversion from SymbolDecoratorApi[T] to Ensuring[SymbolDecoratorApi[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): SymbolDecoratorApi[T]

    Implicit information
      This member is added by an implicit conversion from SymbolDecoratorApi[T] to Ensuring[SymbolDecoratorApi[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def flags: Universe.FlagSet

    See also

      internal.flags

19. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from SymbolDecoratorApi[T] to StringFormat[SymbolDecoratorApi[T]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

20. #### def fullyInitialize: T

    See also

      internal.fullyInitialize

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

23. #### def initialize: T

    See also

      internal.initialize

24. #### def isErroneous: Boolean

    See also

      internal.isErroneous

25. #### def isFreeTerm: Boolean

    See also

      internal.isFreeTerm

26. #### def isFreeType: Boolean

    See also

      internal.isFreeType

27. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

28. #### def isSkolem: Boolean

    See also

      internal.isSkolem

29. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### def newClassSymbol(name: Universe.TypeName, pos: Universe.Position = NoPosition, flags: Universe.FlagSet = NoFlags): Universe.ClassSymbol

    See also

      internal.newClassSymbol

31. #### def newMethodSymbol(name: Universe.TermName, pos: Universe.Position = NoPosition, flags: Universe.FlagSet = NoFlags): Universe.MethodSymbol

    See also

      internal.newMethodSymbol

32. #### def newModuleAndClassSymbol(name: Universe.Name, pos: Universe.Position = NoPosition, flags: Universe.FlagSet = NoFlags): (Universe.ModuleSymbol, Universe.ClassSymbol)

    See also

      internal.newModuleAndClassSymbol

33. #### def newTermSymbol(name: Universe.TermName, pos: Universe.Position = NoPosition, flags: Universe.FlagSet = NoFlags): Universe.TermSymbol

    See also

      internal.newTermSymbol

34. #### def newTypeSymbol(name: Universe.TypeName, pos: Universe.Position = NoPosition, flags: Universe.FlagSet = NoFlags): Universe.TypeSymbol

    See also

      internal.newTypeSymbol

35. #### final def notify(): Unit

    Definition Classes
      AnyRef

36. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

37. #### val symbol: T

38. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

39. #### def toString(): String

    Definition Classes
      AnyRef → Any

40. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### def →[B](y: B): (SymbolDecoratorApi[T], B)

    Implicit information
      This member is added by an implicit conversion from SymbolDecoratorApi[T] to ArrowAssoc[SymbolDecoratorApi[T]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from SymbolDecoratorApi[T] to any2stringadd[SymbolDecoratorApi[T]]

### Inherited by implicit conversion StringFormat from SymbolDecoratorApi[T] to StringFormat[SymbolDecoratorApi[T]]

### Inherited by implicit conversion Ensuring from SymbolDecoratorApi[T] to Ensuring[SymbolDecoratorApi[T]]

### Inherited by implicit conversion ArrowAssoc from SymbolDecoratorApi[T] to ArrowAssoc[SymbolDecoratorApi[T]]

### Ungrouped